# SoLockManager Class Reference
[General classes]

`#include <Inventor/lock/SoLockMgr.h>`

List of all members.

## Detailed Description

The SoLockManager is a defunct software license lock mechanism.

This is just a dummy implementation of the TGS Inventor class used to provide a license locking mechanism. Since Coin can be used without any royalty fees or client-site license locks, no such mechanism is needed.

If you are looking for information about using Coin in proprietary applications for commercial distribution, read about the Coin Professional Edition License on the Coin web-pages here.

## Static Public Member Functions

void | SetUnlockString (char *unlockstr)
char * | GetUnlockString (void)

## Member Function Documentation

void SoLockManager::SetUnlockString | ( | char * | unlockstr | ) | `[static]`

| A void method provided just for sourcecode compatibility in client applications with TGS Inventor. It just stores the unlockstr argument internally to be able to provide it upon calls to GetUnlockString().

char * SoLockManager::GetUnlockString | ( | void |  | ) | `[static]`

| A void method provided just for sourcecode compatibility in client applications with TGS Inventor. Returns the string set through SetUnlockString().

The documentation for this class was generated from the following files:

- SoLockMgr.h
- SoLockManager.cpp